//B1T A B1T
//www.youtube.com.br/bitabit

//Transmissor de botões pressionados para acender e apagar leds
//Utilizando o módulo RF

#include <VirtualWire.h>

#define botao_led_amarelo 5
#define botao_led_verde 6
#define botao_led_vermelho 7

char* dados;

void enviarDados(char* dados)
{
  vw_send((uint8_t *)dados, strlen(dados));
  vw_wait_tx(); //Aguarda o envio
}

void setup() 
{
  vw_set_tx_pin(2); //Pino de dados
  vw_setup(2000); //Velocidade de transmissão em bits por segundo

  pinMode(botao_led_amarelo, INPUT_PULLUP);
  pinMode(botao_led_verde, INPUT_PULLUP);
  pinMode(botao_led_vermelho, INPUT_PULLUP);
}

void loop() 
{
  if(digitalRead(botao_led_amarelo) == LOW)
  {
    enviarDados("1");
  }
  else if(digitalRead(botao_led_verde) == LOW)
  {
    enviarDados("2");
  }
  else if(digitalRead(botao_led_vermelho) == LOW)
  {
    enviarDados("3");
  }

  delay(200);
}
