//B1T A B1T
//www.youtube.com.br/bitabit

//Receptor de botões pressionados para acender e apagar leds
//Utilizando o módulo RF

#include <VirtualWire.h>

#define led_amarelo 5
#define led_verde 6
#define led_vermelho 7

void setup() 
{
  vw_set_rx_pin(2); //Pino de dados
  vw_setup(2000); //Velocidade de recebimento em bits por segundo
  vw_rx_start(); //Inicializa o receptor

  pinMode(led_amarelo, OUTPUT);
  pinMode(led_verde, OUTPUT);
  pinMode(led_vermelho, OUTPUT);

  Serial.begin(9600);
}

void loop() 
{
  uint8_t dados[VW_MAX_MESSAGE_LEN]; //Armazena os dados recebidos
  uint8_t tamanho_dados = VW_MAX_MESSAGE_LEN; //Armazena o tamanho dos dados

  if(vw_get_message(dados, &tamanho_dados))
  {
    switch(dados[0])
    {
      case '1':
      digitalWrite(led_amarelo, digitalRead(led_amarelo) ? LOW : HIGH);
      break;

      case '2':
      digitalWrite(led_verde, digitalRead(led_verde) ? LOW : HIGH);
      break;

      case '3':
      digitalWrite(led_vermelho, digitalRead(led_vermelho) ? LOW : HIGH);
    }
  }
}
