//B1T A B1T
//www.youtube.com.br/bitabit

//Receptor geral: recebe qualquer dados e printa na serial
//Utilizando o módulo RF

#include <VirtualWire.h>

void setup() 
{
  Serial.begin(9600);

  vw_set_rx_pin(2); //Pino de dados
  vw_setup(2000); //Velocidade de recebimento em bits por segundo
  vw_rx_start(); //Inicializa o receptor
}

void loop() 
{
  uint8_t dados[VW_MAX_MESSAGE_LEN]; //Armazena os dados recebidos
  uint8_t tamanho_dados = VW_MAX_MESSAGE_LEN; //Armazena o tamanho dos dados

  if(vw_get_message(dados, &tamanho_dados))
  {
    for(int i=0; i<tamanho_dados; i++)
    {
      Serial.write(dados[i]);
    }
    Serial.println();
  }
}
